Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Libraries used by other programs for reading and writing PNG files.
Name:      	libpng
Version:   	1.2.32
Release:   	1
License: 	GNU/GPL
URL:		http://libpng.sf.net
Group:     	System/Libraries
Source0: 	libpng-%{version}.tar.bz2
# APNG - animated portable network graphics patch
# http://littlesvr.ca/apng/ 
# adapted patch to 1.2.31 taken from mandrake cooker package
# ftp://fr2.rpmfind.net/linux/Mandriva/devel/cooker/SRPMS/main/release/libpng-1.2.31-2mdv2009.0.src.rpm
Patch0:		libpng-1.2.31-apng.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  zlib-devel
Provides: 	libpng(APNG) = 0.10

%description
Libraries used by other programs for reading and writing PNG files.

%package devel
Summary: 	libpng development headers.
Group:     	System/Libraries
Requires: 	libpng = %{version}

%description devel
Header and include files for developing applications with libpng.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n libpng-%{version}
%patch0 -p0

%build
./autogen.sh
./configure 	--prefix=%_prefix \
		--mandir=%_mandir 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/libpng-config
%_bindir/libpng12-config
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/pkgconfig/*.pc
%_includedir/*


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Sep 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.32-1
- Version Update
* Thu May 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.29-1
- Version Update
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.28-1
- Version Update
* Fri Apr 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.26-1
- Version Update
* Sat Mar 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.25-2
- added APNG support
* Tue Feb 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.25-1
- Version Update
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.24-1
- Version Update
* Fri Nov 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.23-1
- Version Update
* Sun Oct 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.22-1
- Version Update
* Sat Aug 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.19-1
- Version Update
* Wed May 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.18-1
- Version Update
* Thu Jan 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.16-1
- Version Update
* Sat Dec 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.14-1
- Version Update
* Thu Nov 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.13-1
- Version Update
* Wed Jun 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.12-1
- Version Update
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.10-1
- Version Update
* Mon Apr 17 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.9-2
- redefined files list
* Sun Apr 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.9-1
- Version Update
- removed link-patch
- adapted build process
* Sun Mar 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.8-1
- Version Update to 1.2.8
* Thu Aug 19 2004 Christian Metzen <metzench@ccux-linux.de> 1.2.6-1
- Initial Release
